curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agent/{agent_id}/evaluations \
--header 'Authorization: Bearer <token>'{
"total": 123,
"page": 123,
"page_size": 123,
"evaluations": [
{
"executed_date": "<string>",
"evaluation_status": "PENDING",
"number_of_test_cases": 123,
"executed_by": "<string>",
"id": "<string>",
"aggregate_metrices": {
"tool_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"accuracy": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
}
},
"answer_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
},
"correctness": {
"value": 123,
"status": "<string>"
},
"faithfulness": {
"value": 123,
"status": "<string>"
}
},
"transaction_completion": {
"average": {
"value": 123,
"status": "<string>"
},
"failed": 123,
"success": 123,
"total": 123
}
},
"agent_name": "<string>",
"agent_description": "<string>",
"agent_environment": []
}
]
}List evaluations for a given agent
curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agent/{agent_id}/evaluations \
--header 'Authorization: Bearer <token>'{
"total": 123,
"page": 123,
"page_size": 123,
"evaluations": [
{
"executed_date": "<string>",
"evaluation_status": "PENDING",
"number_of_test_cases": 123,
"executed_by": "<string>",
"id": "<string>",
"aggregate_metrices": {
"tool_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"accuracy": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
}
},
"answer_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
},
"correctness": {
"value": 123,
"status": "<string>"
},
"faithfulness": {
"value": 123,
"status": "<string>"
}
},
"transaction_completion": {
"average": {
"value": 123,
"status": "<string>"
},
"failed": 123,
"success": 123,
"total": 123
}
},
"agent_name": "<string>",
"agent_description": "<string>",
"agent_environment": []
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Limit the number of results returned
x >= 1Skip the first N results
x >= 0Sort key
executed_date, number_of_test_cases, executed_by Sort order
asc, desc